### Hierarchy

- TableItem

## Index

### Constructors

- constructor

### Properties

- _title
- colSpan
- data
- expandAsTable
- expandedData
- expandedTemplate
- rowSpan
- template

### Accessors

- title

## Constructors

### constructor

- new TableItem(rawData: any): TableItem

- - Defined in src/table/table-item.class.ts:137

  #### Parameters

  - ##### Optional rawData: any

  #### Returns TableItem

## Properties

### Private _title

_title: string

- Defined in src/table/table-item.class.ts:137

### colSpan

colSpan: number = 1

- Defined in src/table/table-item.class.ts:107

### data

data: any

- Defined in src/table/table-item.class.ts:9

### expandAsTable

expandAsTable: false

- Defined in src/table/table-item.class.ts:97

### expandedData

expandedData: any

- Defined in src/table/table-item.class.ts:19

### expandedTemplate

expandedTemplate: TemplateRef<any>

- Defined in src/table/table-item.class.ts:61

### rowSpan

rowSpan: number = 1

- Defined in src/table/table-item.class.ts:102

### template

template: TemplateRef<any>

- Defined in src/table/table-item.class.ts:53

## Accessors

### title

title:

- Defined in src/table/table-item.class.ts:109
- Defined in src/table/table-item.class.ts:133

Generated using TypeDoc